%global pypi_name munch

Name:               python-%{pypi_name}
Version:            4.0.0
Release:            %mkrel 2
Summary:            A dot-accessible dictionary (a la JavaScript objects)
Group:              Development/Python
License:            MIT
URL:                https://pypi.org/project/munch/
Source0:            %{pypi_source %{pypi_name}}
BuildArch:          noarch
BuildRequires:      pyproject-rpm-macros
BuildRequires:      python3-devel

%description
munch is a fork of David Schoonover's **Bunch** package, providing similar
functionality. 99% of the work was done by him, and the fork was made mainly
for lack of responsiveness for fixes and maintenance on the original code.

Munch is a dictionary that supports attribute-style access, a la JavaScript.

%package -n python3-%{pypi_name}
Summary:            A dot-accessible dictionary (a la JavaScript objects)
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
munch is a fork of David Schoonover's **Bunch** package, providing similar
functionality. 99% of the work was done by him, and the fork was made mainly
for lack of responsiveness for fixes and maintenance on the original code.

Munch is a dictionary that supports attribute-style access, a la JavaScript.

%prep
%setup -q -n %{pypi_name}-%{version}

# Remove shebang to make rpmlint happy.
sed -i '/\/usr\/bin\/python/d' munch/__init__.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
%license LICENSE.txt


%changelog
* Wed Feb 26 2025 wally <wally> 4.0.0-2.mga10
+ Revision: 2152798
- rebuild for python3.13

* Sat Dec 09 2023 wally <wally> 4.0.0-1.mga10
+ Revision: 2016363
- new version 4.0.0
- use pyproject rpm macros

* Thu Mar 24 2022 umeabot <umeabot> 2.5.0-3.mga9
+ Revision: 1824711
- Mageia 9 Mass Rebuild

* Sun Feb 13 2022 wally <wally> 2.5.0-2.mga9
+ Revision: 1774165
- rebuild for python3.10

* Mon Mar 15 2021 wally <wally> 2.5.0-1.mga9
+ Revision: 1703130
- new version 2.5.0
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 2.3.2-3.mga8
+ Revision: 1530864
- Mageia 8 Mass Rebuild

* Thu Sep 05 2019 wally <wally> 2.3.2-2.mga8
+ Revision: 1437581
- really rebuild for python3.8

* Thu Sep 05 2019 wally <wally> 2.3.2-1.mga8
+ Revision: 1437580
- rebuild for python3.8
- drop python2 support

* Wed Jan 09 2019 shlomif <shlomif> 2.3.2-1.mga7
+ Revision: 1353420
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 2.2.0-4.mga7
+ Revision: 1289212
- Mageia 7 Mass Rebuild

* Sun Sep 10 2017 ngompa <ngompa> 2.2.0-3.mga7
+ Revision: 1152573
- Adapt for Mageia
- imported package python-munch


* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.2.0-2
- Python 2 binary package renamed to python2-munch
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Mon Jul 31 2017 Kevin Fenzi <kevin@scrye.com> - 2.2.0-1
- Update to 2.2.0. Fixes bug #1475808

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Tue Mar 21 2017 Ralph Bean <rbean@redhat.com> - 2.1.1-1
- new version

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Jan 11 2017 Ralph Bean <rbean@redhat.com> - 2.1.0-1
- new version

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 2.0.4-4
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.4-3
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Dec 11 2015 Ralph Bean <rbean@redhat.com> - 2.0.4-1
- new version

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Wed Nov 04 2015 Ralph Bean <rbean@redhat.com> - 2.0.4-1
- new version

* Sat Oct 03 2015 Ralph Bean <rbean@redhat.com> - 2.0.3-1
- new version

* Mon Aug 17 2015 Ralph Bean <rbean@redhat.com> - 2.0.2-4
- Define license macro for el6.

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Apr 12 2015 Ralph Bean <rbean@redhat.com> - 2.0.2-2
- Remove shebang to make rpmlint happy.

* Sat Apr 11 2015 Ralph Bean <rbean@redhat.com> - 2.0.2-1
- Initial package for Fedora
